List all advertisers home
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/all-advertisers-home \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/all-advertisers-home"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/all-advertisers-home', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"portfolio": {
"tracked": "<string>",
"managed": "<string>",
"waitingOnYou": 123
},
"advertisers": [
{
"advertiserId": "<string>",
"name": "<string>",
"initials": "<string>",
"managed": "<string>",
"tracked": "<string>",
"campaignCount": 123,
"resumableDraft": true,
"brandColors": {},
"logoUrl": "<string>",
"logoTileColor": "<string>",
"logoFill": true,
"attention": {
"flags": [
{
"label": "<string>"
}
]
},
"nextAction": {
"label": "<string>"
}
}
],
"currentAdvertiserId": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Advertisers
List all advertisers home
Pre-assembled data for the buyer “All Advertisers Landing” widget: advertiser rows (brand kit, campaign count, resumable-draft flag) plus a portfolio summary. Money rollups (managed/tracked) are always null pending AI-5642; attention/nextAction are omitted pending AI-5643.
GET
/
all-advertisers-home
List all advertisers home
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/all-advertisers-home \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/all-advertisers-home"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/all-advertisers-home', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"portfolio": {
"tracked": "<string>",
"managed": "<string>",
"waitingOnYou": 123
},
"advertisers": [
{
"advertiserId": "<string>",
"name": "<string>",
"initials": "<string>",
"managed": "<string>",
"tracked": "<string>",
"campaignCount": 123,
"resumableDraft": true,
"brandColors": {},
"logoUrl": "<string>",
"logoTileColor": "<string>",
"logoFill": true,
"attention": {
"flags": [
{
"label": "<string>"
}
]
},
"nextAction": {
"label": "<string>"
}
}
],
"currentAdvertiserId": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}⌘I